################################################################################
## Data generation arguments
################################################################################
detectors = [H1]
gaussian-noise = False
zero-noise = True
duration = 4
trigger_time=0
injection-dict={'chirp_mass': 28.0, 'mass_ratio': 1.0, 'a_1': 0.6, 'a_2': 0.6, 'tilt_1': 0.0, 'tilt_2': 0.0, 'phi_12': 0.0, 'phi_jl': 0.0, 'luminosity_distance': 800, 'dec': 0.1, 'ra': 0.1, 'theta_jn': 0.1, 'psi': 0.1, 'phase': 0.1, 'geocent_time': 0.0}


################################################################################
## Job submission arguments
################################################################################
label = fast_injection
outdir = outdir

################################################################################
## Likelihood arguments
################################################################################
distance-marginalization=False
phase-marginalization=False
time-marginalization=False

################################################################################
## Prior arguments
################################################################################
prior-dict = {
  mass_ratio = 1,
  chirp_mass = Uniform(name='chirp_mass', minimum=25, maximum=31),
  mass_1 = Constraint(name='mass_1', minimum=10, maximum=80),
  mass_2 = Constraint(name='mass_2', minimum=10, maximum=80),
  a_1 = 0.6,
  a_2 = 0.6,
  tilt_1 = 0.0,
  tilt_2 = 0.0,
  phi_12 = 0.0,
  phi_jl = 0.0,
  luminosity_distance = 800,
  dec =  0.1,
  ra =  0.1,
  theta_jn =  0.1,
  psi =  0.1,
  phase =  0.1
}

################################################################################
## Waveform arguments
################################################################################
waveform_approximant = IMRPhenomPv2
frequency-domain-source-model = lal_binary_black_hole

###############################################################################
## Sampler settings
################################################################################
sampler = dynesty
nlive = 1000
proposals = ["diff"]
dynesty_sample = acceptance-walk
dynesty_bound = live

################################################################################
## Slurm Settings
################################################################################
nodes = 10
ntasks-per-node = 16
time = 4:00:00
